﻿using System;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 딕셔너리 헬퍼
    /// </summary>
    public static class DictionaryHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 메인 딕셔너리
        /// </summary>
        private static ResourceDictionary _mainDictionary;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 메인 딕셔너리 - MainDictionary

        /// <summary>
        /// 메인 딕셔너리
        /// </summary>
        public static ResourceDictionary MainDictionary
        {
            get
            {
                if (_mainDictionary == null)
                {
                    Uri uri = new Uri("/TestProject;component/MainDictionary.xaml", UriKind.Relative);

                    _mainDictionary = (ResourceDictionary)Application.LoadComponent(uri);
                }

                return _mainDictionary;
            }
        }

        #endregion
    }
}